@import url('https://fonts.googleapis.com/css2?family=Audiowide&family=Cause:wght@100..900&family=Nabla&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

*{
    margin: 0;
    padding: 0;
}

:root{
    --color-primary: rgb(48, 67, 42);
    --bg-primary-text: white;
}

.bg-primary{
    background-color: var(--color-primary);
    color: var(--bg-primary-text);
}

nav{
    background-color: var(--color-primary);
    position: sticky;
    z-index: 500;
    top: 0;
}

.menu-container, .hamburger-group{
    display: flex;
    min-height: 10dvh;
    justify-content: space-evenly;
    align-items: center;
    font-size: 2em;
}

.hamburger-group{
    display: none;
    justify-content: end;
    padding-left: 3dvw;
}

.menu-item{
    list-style: none;
    font-size: 0.8em;
}

.menu-link{
    color: white;
    text-decoration: none;
    padding: 5px 15px;
    border-radius: 5px;
}

.menu-link:hover{
    background-color: white;
    color: var(--color-primary);
}

.label-toggle{
    color: white;
}

@media (max-width: 800px) {
    .menu-container{
        display: none;
        flex-direction: column;
        gap: 20px;
        padding: 25px 0;
    }

    .hamburger-group{
        display: flex;
    }
    
}

nav:has(#menu-toggle:checked) .menu-container{
    display: flex;
}

#menu-toggle{
    display: none;
}

/*Systeme de grilles*/

.grid{
    display: grid;
    grid-template-columns: 1fr;
    padding: 5dvh 10dvw;
    gap: 20px;
}

@media (min-width: 800px){
    .grid-2-1{
        grid-template-columns: 2fr 1fr;
    }
    .grid-1-1-1{
        grid-template-columns: 1fr 1fr 1fr;
    }
}

/* Linkedin */
.linkedin-liens{
    margin-top:10px;
    display: inline-block;
    text-decoration:none;
    color:white;
    font-weight:600;
    border:2px solid white;
    padding:8px 12px;
    border-radius:10px;
}

.linkedin-liens:hover{
    background:white;
    color:#000;
}


.v-padding{
    padding-top: 5vh;
    padding-bottom: 5vh;
}

.bg-dark{
    background-color: black;
    color: #fff;
}

.text-center{
    text-align: center;
}

p{
    font-size: clamp(2.5em, 4vh, 1.5em);
    font-family: "Roboto",sans-serif;
}

h1{
    font-size: clamp(3.5em, 5vh, 3em);
    font-family: "Cause",sans-serif;
    font-weight: 600;
}

.divider path{
    fill: var(--color-primary);
}

.shadow{
 filter: drop-shadow(1px 1px 5px rgb(28, 41, 26));
}

.title-box{
    font-size: 2.5em;
    font-family: "Cause",sans-serif;
    font-weight: 400;
    font-style: normal;
}

.small{
    font-size: 1.2rem;
    font-weight: 50;
}

.size-t{
    font-size: 1.5rem;
}


/*Portfolio + components */
.card{
    display: flex;
    flex-direction: column;
    gap: 2dvh;
    border-radius: 10px;
    box-shadow: var(--color-primary) 0px 8px 24px;
}

.card img{
    border-radius: 10px 10px 0 0;
    width: 100%;
    height: auto;
    object-fit: cover;
}

.card a{
    text-decoration: none;
    color: black
}

.card a:hover{
    text-decoration: none;
    color: var(--bg-primary-text)
}

.card h3{
    font-size: clamp(0.8em,4dvh,2em);
    padding: 0 2dvh;
    text-align: center;
}

.card p{
    font-size: 1em;
    padding: 2dvh;
}

.card:hover{
    background-color: var(--color-primary);
    color: #fff;
    filter: brightness(1,2);
}

.title-card{
text-decoration: none;
}


.skill progress{
    width: 100%;
    height: 2dvh;
}


/*Contact - form*/

form{
    display: flex;
    flex-direction: column;
    gap: 1dvh;
}

label{
    font-size: 1em;
    font-family: "Roboto",sans-serif;
}

input, textarea{
    border-radius: 5px;
    border: 1px solid var(--color-primary);
    padding: 2px 10px;
    font-size: 1em;
}

input{
    height: 3dvh;
}

textarea{
    height: 20dvh;
}

button{
    background-color: var(--color-primary);
    color: #fff;
    padding: 5px;
    font-size: 1em;
    max-width: 150px;
    border-radius: 10px ;
}

.profil{
    height: 250px;
    width: 250px;
    border-radius: 50%;
}

/*CSS MENTION LEGALES ET CONFIDENTIALITÉ--
------------------------------------------------*/
#mention-legal{
    max-width: 900px;
    margin: 80px auto;
    padding: 40px;
    background-color: #ffffff;
    border-radius: 8px;
    box-shadow: 0 10px 30px rgb(48, 67, 42);
    font-family: "Cause",sans-serif;
    color: #222;
    line-height: 1.6;
    border: 2px solid rgb(48, 67, 42);
}

#mention-legal .titre{
    font-size: 2.2rem;
    margin-bottom: 30px;
}

#mention-legal h2{
    font-size: 1.3rem;
    margin-top: 30px;
    margin-bottom: 10px;
}

#mention-legal p{
    font-size: 1.1rem;
    margin-bottom: 12px;
}

#mention-legal a{
    color: #0066cc;
    text-decoration: none;
}

#mention-legal a:hover{
    text-decoration: underline;
}


footer a{
    text-decoration: none;
    color: white;
}

footer a:hover{
    color: rgb(255, 0, 0);
}

.bloc{
    padding:20px;
    background:#fff;
    border-radius:10px;
    color: white;
    background-color: var(--color-primary);
}

.bloc p{
    font-family: "Cause",sans-serif;
}

.bouton-lien{
    display: inline-block;
    margin-top:10px;
    padding:8px 16px;
    text-decoration:none;
    background:#000;
    color:#fff;
    font-size:14px;
    font-family: "Roboto", sans-serif;
}

.bouton-lien:hover{
    background:#5c5b5b;
}

/*image a coté des compétences*/

.skill {
    display: flex;
    flex-direction: column;
    gap: 8px;
    font-size: 2em;
    font-family: "Cause",sans-serif;
    font-weight: 400;
    font-style: none;
}

.skill-header {
    display: flex;
    align-items: center;
    gap: 10px;
}

.skill-icon {
    width: 38px;
    height: 38px;
    object-fit: contain;
}

